Contents
Index 🔎︎

# Image Map Editor

Allows you to attach URLs to specific areas, called hotspots, on a graphic or a group of graphics. An image map is a group of one or more hotspots.

To access this command...

Choose Tools - ImageMap.

Adding Clickable Hotspots to Images

You can draw three types of hotspots: rectangles, ellipses, and polygons. When you click a hotspot, the URL is opened in the browser window or frame that you specify. You can also specify the text that appears when your mouse rests on the hotspot.

## Apply

Applies the changes that you made to the image map.

Apply

## Open

Loads an existing image map in the MAP-CERN, MAP-NCSA or SIP StarView ImageMap file format.

Open

## Save

Saves the image map in the MAP-CERN, MAP-NCSA or SIP StarView ImageMap file format.

Save

## Select

Selects a hotspot in the image map for editing.

Select

## Rectangle

Draws a rectangular hotspot where you drag in the graphic. After, you can enter the Address and the Text for the hotspot, and then select the Frame where you want the URL to open.

Rectangle

## Ellipse

Draws an elliptical hotspot where you drag in the graphic. After, you can enter the Address and the Text for the hotspot, and then select the Frame where you want the URL to open.

Ellipse

## Polygon

Draws a polygonal hotspot in the graphic. Click this icon, drag in the graphic, and then click to define one side of the polygon. Move to where you want to place the end of the next side, and then click. Repeat until you have drawn all of the sides of the polygon. When you are finished, double-click to close the polygon. After, you can enter the Address and the Text for the hotspot, and then select the Frame where you want the URL to open.

Polygon

## Free-form Polygon

Draws a hotspot that is based on a free-form polygon. Click this icon and move to where you want to draw the hotspot. Drag a free-form line and release to close the shape. After, you can enter the Address and the Text for the hotspot, and then select the Frame where you want the URL to open.

Free-form Polygon

## Edit Points

Lets you change the shape of the selected hotspot by editing the anchor points.

Edit points

## Move Points

Lets you move the individual anchor points of the selected hotspot.

Move Points

## Insert Points

Adds an anchor point where you click on the outline of the hotspot.

Insert Points

## Delete Points

Deletes the selected anchor point.

Delete Points

## Active

Disables or enables the hyperlink for the selected hotspot. A disabled hotspot is transparent.

## Macro

Lets you assign a macro that runs when you click the selected hotspot in a browser.

Macro

## Properties

Allows you to define the properties of the selected hotspot.

Properties

## Address:

Enter the URL for the file that you want to open when you click the selected hotspot. If you want to jump to an anchor within the document, the address should be of the form "file:///C:/Documents/document_name#anchor_name".

## Text:

Enter the text that you want to display when the mouse rests on the hotspot in a browser. If you do not enter any text, the Address is displayed.

## Frame:

Enter the name of the target frame that you want to open the URL in. You can also select a standard frame name from the list.

List of frame types

## Graphic View

Displays the image map, so that you can click and edit the hotspots.

Related Topics

Controlling the ImageMap Editor With the Keyboard